@import url("https://fonts.googleapis.com/css2?family=Open+Sans&family=Roboto&family=Varela+Round&display=swap");

:root {
  --purple: #9966f1;
}



* {    
  box-sizing: content-box;
  padding: 0;
  margin: 0;
}

body {
  color: #636363;
  font-family: "Open Sans", sans-serif;
  font-family: "Roboto", sans-serif;
  font-family: "Varela Round", sans-serif;
  background: url("/assets/img/bg2.jp") no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 0 !important;
  margin: 0 !important;
  scroll-behavior: smooth;
}

body {
  background: #e0eafc;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right,
      #e9e4f0,
      #d3cce3);
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right,
      #e9e4f0,
      #d3cce3);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  /* BG */
}

.section {
  margin-right: 0 !important;
  margin-left: 0 !important;
  margin-bottom: 0 !important;
  min-height: 100vh;
  padding-top: 3rem;
}

/* NavBar custom */
.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: 0 0 0 0;
}

.navbar-toggler {
  padding: 0.25rem 0.75rem;
  font-size: 1.25rem;
  line-height: 1;
  background-color: transparent;
  border: 0 solid transparent;
  border-radius: -0;
  transition: box-shadow 0.15s ease-in-out;
}

.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: 0 0 0 0;
}

/* Home */

#home_section {
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-repeat: no-repeat;
  background-size: cover;
}

#profile {
  min-width: 100% !important;
}

.navbar-brand,
.nav-link {
  font-size: 1.2rem;
}


@supports (-webkit-text-stroke: 1px black) {
  .nav-link:hover {
    filter: brightness(0.75);
  }
}

#name {
  font-size: 4rem;
}

.navbar * {
  background-color: rgba(255, 255, 255, 0);
}

.text-theme-color1 {
  color: var(--purple) !important;
}

.bg-theme-color1 {
  background-color: var(--purple) !important;
}

.text-purple {
  color: var(--purple) !important;
}

.bg-purpole {
  background-color: var(--purple) !important;
}

#brand_icon {
  width: 48px;
  height: 48px;
  border-radius: 24px;
  border: 2px solid #ffffff7c;
}

.card img {
  width: 100%;
  height: 250px;
}

/* About Me */
.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  font-weight: 600;
  background-color: transparent;
}

.text-justify {
  text-align: justify;
}

/* Progress Bar */

.fa-icon{
  font-size: 4rem;
}

#html {
  width: 85%;
}

#css {
  width: 70%;
}

#javascript {
  width: 75%;
}

#graphics {
  width: 65%;
}